Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanOptionManager.Opt

    java.lang.Object
      ix.iplan.IPlanOptionManager.Opt

Enclosing class:
  IPlanOptionManager

    public class IPlanOptionManager.Opt

extends java.lang.Object

Nested Class Summary
`class` | `IPlanOptionManager.Opt.UndoPoint`
`(package private) class` | `IPlanOptionManager.Opt.UndoTrail`

Field Summary
`(package private) java.util.List` | `delayedMessages`
`(package private) boolean` | `hasChanged`
`(package private) Context` | `iplanContext`
`(package private) long` | `lastChangeTimestamp`
`(package private) long` | `lastEvalTimestamp`
`(package private) java.lang.String` | `name`
`(package private) Plan` | `plan`
`(package private) java.util.Map` | `planEvaluations`
`(package private) IPlanOptionManager.PlanGen` | `planGen`
`(package private) PlanStats` | `stats`
`(package private) IPlanOptionManager.Opt.UndoTrail` | `undoTrail`

Constructor Summary
`IPlanOptionManager.Opt(java.lang.String name)` Create an option with the specified name.
`IPlanOptionManager.Opt(java.lang.String name, Plan plan)` Create an option with the specified name and initial plan.

Method Summary
`boolean` | `allowsReplan()`
`Plan` | `asPlan()`
`void` | `clear()`
`void` | `clearAllButState()`
`(package private) void` | `deleteYourself()`
`(package private) void` | `dropPlanGen()`
`(package private) void` | `evaluatePlan()`
`boolean` | `expectsContext()`
`Context` | `getExpectedContext()`
`java.lang.String` | `getName()`
`PlanEvaluation` | `getPlanEvaluation(PlanEvaluator e)`
`java.util.Map` | `getPlanEvaluations()`
`PlanStats` | `getStats()`
`boolean` | `hasChanged()`
`(package private) void` | `makeYourselfTheCurrentOption()`
`(package private) void` | `markUndoPoint(java.lang.String note)`
`(package private) void` | `noteChange(java.util.EventObject e)`
`(package private) IPlanOptionManager.Opt` | `plan()`
`void` | `recordDelayedInput(IPC.InputMessage messsage)`
`(package private) void` | `replacePlanWith(Plan newPlan)`
`(package private) IPlanOptionManager.Opt` | `replan()`
`(package private) void` | `saveUndoAction(UndoAction un)`
`void` | `setName(java.lang.String newName)`
`(package private) IPlanOptionManager.Opt` | `splitYourself()`
`(package private) void` | `takePlanGen(IPlanOptionManager.PlanGen gen)`
`java.lang.String` | `toString()`
`(package private) void` | `undo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### plan

    Plan plan

### delayedMessages

    java.util.List delayedMessages

### iplanContext

    Context iplanContext

### undoTrail

    IPlanOptionManager.Opt.UndoTrail undoTrail

### hasChanged

    boolean hasChanged

### planGen

    IPlanOptionManager.PlanGen planGen

### stats

    PlanStats stats

### lastChangeTimestamp

    long lastChangeTimestamp

### lastEvalTimestamp

    long lastEvalTimestamp

### planEvaluations

    java.util.Map planEvaluations

Constructor Detail

### IPlanOptionManager.Opt

    IPlanOptionManager.Opt(java.lang.String name)

  Create an option with the specified name.

### IPlanOptionManager.Opt

    IPlanOptionManager.Opt(java.lang.String name,
                           Plan plan)

  Create an option with the specified name and initial plan.

Method Detail

### clear

    public void clear()

### clearAllButState

    public void clearAllButState()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String newName)

### expectsContext

    public boolean expectsContext()

### getExpectedContext

    public Context getExpectedContext()

### getStats

    public PlanStats getStats()

### getPlanEvaluations

    public java.util.Map getPlanEvaluations()

### getPlanEvaluation

    public PlanEvaluation getPlanEvaluation(PlanEvaluator e)

### noteChange

    void noteChange(java.util.EventObject e)

### hasChanged

    public boolean hasChanged()

### allowsReplan

    public boolean allowsReplan()

### recordDelayedInput

    public void recordDelayedInput(IPC.InputMessage messsage)

### makeYourselfTheCurrentOption

    void makeYourselfTheCurrentOption()

### evaluatePlan

    void evaluatePlan()

### splitYourself

    IPlanOptionManager.Opt splitYourself()

### undo

    void undo()

### markUndoPoint

    void markUndoPoint(java.lang.String note)

### saveUndoAction

    void saveUndoAction(UndoAction un)

### plan

    IPlanOptionManager.Opt plan()

### replan

    IPlanOptionManager.Opt replan()

### takePlanGen

    void takePlanGen(IPlanOptionManager.PlanGen gen)

### dropPlanGen

    void dropPlanGen()

### replacePlanWith

    void replacePlanWith(Plan newPlan)

### deleteYourself

    void deleteYourself()

### asPlan

    public Plan asPlan()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD